#ifndef _FS_CLICKCHART_H
#define _FS_CLICKCHART_H

#include "freesweeper.h"
#include "clickevents.h"
#include "skin.h"

class clickchart : public QWidget
{
	Q_OBJECT

	QPainter painter;
	clickevents* ce;
	skin* sk;
	
	int time_to_coord(int tm);
	void draw_line(int tm1,int tm2,QColor color,int height,bool spec=false);
	
public:
	int beg,len; // time interval
	double d_len;
	int cur_tm,last_tm;
	bool redraw;
	
	clickchart(clickevents* ce,skin* sk);
	void time_move(int tm);
	void update_chart();
	
	virtual void paintEvent(QPaintEvent* e);
};


#endif

