#include "luckpattern.h"

luck_pattern::luck_pattern(int width,int height,int n_mm,bool rotate):
width(width),height(height),n_moveable_mines(n_mm),rotate(rotate)
{
	mm_x1=new int[n_mm];
	mm_y1=new int[n_mm];
	mm_x2=new int[n_mm];
	mm_y2=new int[n_mm];
	
	pattern=new luck_pattern_element*[width];
	for(int i=0;i<width;++i) 
	{
		pattern[i]=new luck_pattern_element[height];
		for(int j=0;j<height;++j) pattern[i][j]=lpe_none;
	}
}

luck_pattern::~luck_pattern()
{
	delete[] mm_x1;
	delete[] mm_y1;
	delete[] mm_x2;
	delete[] mm_y2;
	for(int i=0;i<width;++i) delete[] pattern[i];
	delete[] pattern;
}

void luck_pattern::set_moveable_mine(int id,int x1,int y1,int x2,int y2)
{
	pattern[x1][y1]=lpe_moveable_mine_1;
	pattern[x2][y2]=lpe_moveable_mine_2;
	mm_x1[id]=x1;mm_y1[id]=y1;
	mm_x2[id]=x2;mm_y2[id]=y2;
	
}

