#ifndef _FS_LUCK_PATTERN_H
#define _FS_LUCK_PATTERN_H


enum luck_pattern_element
{
	lpe_none=0,
	lpe_unopenable=1,
	lpe_moveable_mine_1=2,
	lpe_moveable_mine_2=3,
	lpe_unmoveable_mine=4
};

class luck_pattern
{
public:
	int width;
	int height;
	int n_moveable_mines;
	bool rotate;
	
	int* mm_x1;
	int* mm_y1;
	int* mm_x2;
	int* mm_y2;
	
	luck_pattern_element** pattern;
	
	luck_pattern(int w,int h,int n_mm,bool rotate);
	~luck_pattern();
	
	void set_moveable_mine(int id,int x1,int y1,int x2,int y2);
};

#endif

