#ifndef _FS_SETTINGS_NAMES_SKIN_H
#define _FS_SETTINGS_NAMES_SKIN_H
// this file defines the names of skin settings

// skin settings
const QString sName="Name";
const QString sCoeff="Coeff";
const QString sSquareSize="SquareSize";
const QString sHeadSize="HeadHeight";
const QString sTopBorderSize="TopBorderHeight";
const QString sSmileyWidth="SmileyWidth";
const QString sSmileyHeight="SmileyHeight";
const QString sDisplayWidth="DisplayWidth";
const QString sDisplaySmallWidth="DisplaySmallWidth";
const QString sDisplayHeight="DisplayHeight";
const QString sBackground="Background";
const QString sLabelBackground="LabelBackground";
const QString sLabelFont="LabelFont";
const QString sLabelVerticalOffset="LabelVerticalOffset";
const QString sLabelTextVerticalOffset="LabelTextVerticalOffset";
const QString sLabelHorizontalOffset="LabelHorizontalOffset";
const QString sLabelHeight="LabelHeight";
const QString sDisplayFrame1="DisplayFrameTopLeft";
const QString sDisplayFrame2="DisplayFrameBottomRight";
const QString sRed="R";
const QString sGreen="G";
const QString sBlue="B";
const QString sRedMinesHorizontalOffset="RedMinesHorizontalOffset";
const QString sRedTimerHorizontalOffset="RedTimerHorizontalOffset";
const QString sSmileySmallBoardHorizontalOffset="SmileySmallBoardHorizontalOffset";
const QString sSmileyVerticalOffset="SmileyVerticalOffset";

const QString sSquare="Square";
const QString sSquarePressed="SquarePressed";
const QString sQuestion="QuestionMark";
const QString sQuestionPressed="QuestionMarkPressed";
const QString sBorder="Border";
const QString sNumber="Number";
const QString sNumberPopped="NumberPopped";
const QString sFlag="Flag";
const QString sMine="Mine";
const QString sMinePopped="MinePopped";
const QString sBlast="Blast";
const QString sFlagFalse="FlagFalse";
const QString sFlagWasted="FlagWasted";
const QString sDisplay="Display";
const QString sDisplaySmall="DisplaySmall";
const QString sDisplayMinus="DisplayMinus";
const QString sDisplayOff="DisplayOff";
const QString sSmallDisplayOff="SmallDisplayOff";
const QString sLeftBorder="TopLeftBorder";
const QString sRightBorder="TopRightBorder";
const QString sTopBorder="TopBorder";
const QString sSmiley="Smiley";
const QString sSmileyStress="SmileyStress";
const QString sSmileyPressed="SmileyPressed";
const QString sSmileyWin="SmileyWin";
const QString sSmileyFail="SmileyFail";
const QString sVideoButtonPlay="VideoButtonPlay";
const QString sVideoButtonPause="VideoButtonPause";
const QString sVideoButtonStop="VideoButtonStop";

const QString sSkinDir="SkinDirectory";

const QString sMaxWidth="MaximalWidth";
const QString sMaxHeight="MaximalHeight";
const QString sCriticalWidth="CriticalWidth";
const QString sCriticalForSmileyWidth="CriticalForSmileyWidth";

const QString sArrowColor="ArrowColor";
const QString sArrowBorderColor="ArrowBorderColor";
const QString sArrowOpacity="ArrowOpacity";
const QString sMousePathColor[]={"MousePathNone","MousePathLeft","MousePathRight","MousePathDouble"};
const QString sOpeningBorder="OpeningBorder";
const QString sMousePathRectSize="MousePathClickSquareSize";
const QString sOpeningBorderThickness="OpeningBorderThickness";

const QString sCounterWidth="CounterWidth";
const QString sCounterHeight="CounterHeight";
const QString sCounterFontSize="CounterFontSize";
const QString sCounterNameBackground="CounterNameBackground";
const QString sCounterValueBackground="CounterValueBackground";

// click chart
const QString sChartElementaryWidth="ChartElementaryWidth";
const QString sChartHeight="ChartHeight";
const QString sChartLength="ChartLength";
const QString sChartLabelVOffset="ChartLabelVOffset";
const QString sChartLabelHOffset="ChartLabelHOffset";
const QString sChartLineThickness="ChartLineThickness";
const QString sChartThickLineThickness="ChartThickLineThickness";
const QString sChartBackground="ChartBackground";
const QString sChartSecondFrame="ChartSecondFrame";
const QString sChartSecondLabel="ChartSecondLabel";
const QString sChartSecondLabelVOffset="ChartSecondLabelVOffset";
const QString sChartLeft="ChartLeft";
const QString sChartRight="ChartRight";
const QString sChartMiddle="ChartMiddle";
const QString sChartOpening="ChartOpening";
const QString sChartIsland="ChartIsland";
const QString sHeight_="Height";

const QString sIcon="Icon";

#endif

